- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# nso_query – Query data from Cisco NSO

New in version 2.5.

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module provides support for querying data from Cisco NSO using XPath.

## Requirements

The below requirements are needed on the host that executes this module.

- Cisco NSO version 3.4 or higher.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
fields - / required |  | List of fields to select from matching nodes.
password string / required |  | NSO password
timeout integer added in 2.6 | Default: 300 | JSON-RPC request timeout in seconds
url string / required |  | NSO JSON-RPC URL, http://localhost:8080/jsonrpc
username string / required |  | NSO username
validate_certs boolean | Choices: no ← yes | When set to true, validates the SSL certificate of NSO when using SSL
xpath - / required |  | XPath selection relative to the root.

## Examples

    - name: Select device name and description
      nso_query:
        url: http://localhost:8080/jsonrpc
        username: username
        password: password
        xpath: /ncs:devices/device
        fields:
        - name
        - description

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
output list | success | Value of matching nodes

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Claes Nästén (@cnasten)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.